%define archive_name media-driver-intel-media

Name:   intel-media-driver
Version:    23.3.4
Release:    %mkrel 1
Summary:    The Intel Media Driver for VAAPI for Broadwell and later
License:    MIT and BSD
URL:        https://github.com/intel/media-driver
Source0:    https://github.com/intel/media-driver/archive/%{archive_name}-%{version}.tar.xz
Group:  System/Kernel and hardware

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(igdgmm)
BuildRequires:	pkgconfig(libcmrt)
BuildRequires:	pkgconfig(libva) >= 1.3.0
BuildRequires:	pkgconfig(pciaccess)
BuildRequires:	pkgconfig(x11)
Provides: bundled(libdrm)
Conflicts: vaapi-driver-intel
ExclusiveArch:	x86_64

%description
The Intel Media Driver for VAAPI is a new VA-API (Video Acceleration API)
user mode driver supporting hardware accelerated decoding, encoding,
and video post processing for GEN based graphics hardware (Broadwell and later)

%prep
%setup -q -n %{archive_name}-%{version}
chmod -x LICENSE.md README.md CMakeLists.txt

# Remove pre-built (but unused) files
rm -f Tools/MediaDriverTools/UMDPerfProfiler/MediaPerfParser

%build
%cmake -DBUILD_CMRTLIB:BOOL=False -DRUN_TEST_SUITE:BOOL=False -DMEDIA_RUN_TEST_SUITE:BOOL=False ..
%make_build V=1

%install
pushd build
%make_install
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
echo "export LIBVA_DRIVER_NAME=iHD" > %{buildroot}%{_sysconfdir}/profile.d/intel-media-driver.sh

# Don't provide the headers - Used by anyone else ?
rm -rf %{buildroot}%{_includedir}/igfxcmrt
rm -rf %{buildroot}%{_libdir}/pkgconfig


%files
%defattr(-,root,root)
%doc README.md
%{_libdir}/dri/iHD_drv_video.so
%config(noreplace) %{_sysconfdir}/profile.d/intel-media-driver.sh


%changelog
* Thu Oct 12 2023 tex - 23.3.4-1pclos2023
- new version

* Sat Mar 9 2019 pckg <pckg at email.cz> 18.4.1-1pclos2019
- initial package
